[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[PATCH 1/9] Move from loader.service to anaconda.service



Replace loader.service with anaconda.service, which starts anaconda
directly. Make necessary changes to related files.
---
 data/systemd/Makefile.am      |    2 +-
 data/systemd/anaconda.service |   12 ++++++++++++
 data/systemd/anaconda.target  |    2 +-
 data/systemd/instperf.service |    2 +-
 data/systemd/loader.service   |   12 ------------
 scripts/restart-anaconda      |   12 ++++--------
 6 files changed, 19 insertions(+), 23 deletions(-)
 create mode 100644 data/systemd/anaconda.service
 delete mode 100644 data/systemd/loader.service

diff --git a/data/systemd/Makefile.am b/data/systemd/Makefile.am
index 37a5eb1..589854c 100644
--- a/data/systemd/Makefile.am
+++ b/data/systemd/Makefile.am
@@ -18,5 +18,5 @@
 # Author: Chris Lumens <clumens redhat com>
 
 systemddir = /lib/systemd/system
-dist_systemd_DATA = anaconda-shell  service anaconda.target loader.service instperf.service
+dist_systemd_DATA = anaconda-shell  service anaconda.target anaconda.service instperf.service
 MAINTAINERCLEANFILES = Makefile.in
diff --git a/data/systemd/anaconda.service b/data/systemd/anaconda.service
new file mode 100644
index 0000000..0bdb5c9
--- /dev/null
+++ b/data/systemd/anaconda.service
@@ -0,0 +1,12 @@
+[Unit]
+Description=the anaconda installation program
+Wants=instperf.service rsyslog.service udev-settle.service
+After=instperf.service rsyslog.service udev-settle.service
+
+[Service]
+Environment=HOME=/root MALLOC_CHECK_=2 MALLOC_PERTURB_=204 PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin PYTHONPATH=/tmp/updates TERM=linux
+Type=oneshot
+WorkingDirectory=/root
+ExecStart=/usr/sbin/anaconda
+StandardInput=tty-force
+TimeoutSec=0
diff --git a/data/systemd/anaconda.target b/data/systemd/anaconda.target
index 844999e..7796c89 100644
--- a/data/systemd/anaconda.target
+++ b/data/systemd/anaconda.target
@@ -4,4 +4,4 @@ Requires=basic.target
 Conflicts=rescue.service rescue.target
 After=basic.target rescue.service rescue.target
 AllowIsolate=yes
-Wants=loader.service anaconda-shell tty2 service anaconda-shell hvc1 service
+Wants=anaconda.service anaconda-shell tty2 service anaconda-shell hvc1 service
diff --git a/data/systemd/instperf.service b/data/systemd/instperf.service
index 1e4430b..df275ba 100644
--- a/data/systemd/instperf.service
+++ b/data/systemd/instperf.service
@@ -1,7 +1,7 @@
 [Unit]
 ConditionKernelCommandLine=debug
 Description=anaconda performance monitor
-Before=loader.service
+Before=anaconda.service
 
 [Service]
 WorkingDirectory=/
diff --git a/data/systemd/loader.service b/data/systemd/loader.service
deleted file mode 100644
index b6d9f43..0000000
--- a/data/systemd/loader.service
+++ /dev/null
@@ -1,12 +0,0 @@
-[Unit]
-Description=The anaconda loader
-Wants=instperf.service rsyslog.service udev-settle.service
-After=instperf.service rsyslog.service udev-settle.service
-
-[Service]
-Environment=HOME=/root MALLOC_CHECK_=2 MALLOC_PERTURB_=204 PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin PYTHONPATH=/tmp/updates TERM=linux
-Type=oneshot
-WorkingDirectory=/root
-ExecStart=/sbin/loader
-StandardInput=tty-force
-TimeoutSec=0
diff --git a/scripts/restart-anaconda b/scripts/restart-anaconda
index 645b88d..5e654ef 100755
--- a/scripts/restart-anaconda
+++ b/scripts/restart-anaconda
@@ -19,11 +19,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-RESTART_FILE=/tmp/restart_anaconda
-
-# this is how loader knows it should restart stuff. 
-# it will also delete the file once the restart is in progress.
-touch $RESTART_FILE
+rm -rf /tmp/updates || echo "Error removing /tmp/updates. Updates won't be re-downloaded." >&2
 
 if [[ -f /var/run/iscsid.pid ]]; then
     # iscsid must die else it will cause us troubles on the next run
@@ -31,8 +27,8 @@ if [[ -f /var/run/iscsid.pid ]]; then
     /sbin/iscsiadm -m node --logoutall=all
 fi
 
-# This will kill all programs in the loader group and restart the
+# This will kill all programs in the anaconda group and restart the
 # service.
-systemctl stop loader.service
+systemctl stop anaconda.service
 anaconda-cleanup
-systemctl start --no-block loader.service
+systemctl start --no-block anaconda.service
-- 
1.7.7.6


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]